# oshu-launcher - a small menu for oshu

I was tired of `cd`'ing to my beatmaps folder and starting oshu
manually. So here it is. Just copy that file to your `~/.local/bin` or
your `/usr/local/bin`, `chmod +x` it and *voilà*.

Type `oshu-launcher` (or simply `osu` if you made an alias - like me)
and you'll be prompted to choose a beatmap from your `~/.osu` folder,
which should contain all your beatmaps.

To add a beatmap, just download a `.osz` file from any Osu! mirror,
create a folder with the right name and unzip it in that newly created
folder. I personally rename all .osu file directly to their difficulty
for ease of use. (I'll probably make a tool to automate that, too.)

Example hierarchy of beatmaps:
```
.osu
├── Ayanami Rei - FLY ME TO THE MOON
│   ├── Normal.osu
│   ├── audio.mp3
│   ├── drum-hitfinish.wav
│   ├── drum-hitwhistle.wav
│   ├── easy.osu
│   ├── nido simps for a fuckin clone ROFL.jpg
│   ├── normal-hitnormal.wav
│   ├── replacement.osu
│   └── soft-hitnormal2.wav
├── Florence - Komm, susser Tod
│   ├── Come, Nice Death.osu
│   ├── Come, Sweet Death.osu
│   ├── Florence - Komm, susser Tod (ztrot).osb
│   ├── Komm, susser Tod.mp3
│   ├── Taiko.osu
│   ├── approachcircle.png
│   ├── cross.png
│   ├── extremelybadassluigihann.png
│   ├── hitcircle.png
│   ├── hitcircleoverlay.png
│   ├── komsusser.jpg
│   └── somewhatcoolztrot.png
```
